##
##  sockd.conf -- Dante SOCKS Daemon Configuration
##

user.privileged:    root
user.notprivileged: @l_nusr@

logoutput: @l_prefix@/var/dante/sockd.log

external: 192.168.0.1
internal: 127.0.0.1 port = 1080

method: none

#
#   client access rules
#

client pass {
    from:    127.0.0.1/8 # internal network
    to:      0.0.0.0/0
    log:     connect disconnect
}

#
#   server operation rules
#

#   allow bind to ports greater than 1023
pass {
    from:    0.0.0.0/0
    to:      0.0.0.0/0 port gt 1023
    command: bind
    log:     connect disconnect
}

#   allow outgoing connections (TCP and UDP)
pass {
    from:    0.0.0.0/0
    to:      0.0.0.0/0
    command: connect udpassociate
    log:     connect disconnect
}

#   allow replies to bind, and incoming UDP packets
pass {
    from:    0.0.0.0/0 
    to:      0.0.0.0/0
    command: bindreply udpreply
    log:     connect error
}

#   blok and log anything else
block {
    from:    0.0.0.0/0
    to:      0.0.0.0/0
    log:     connect error
}

